# $Revision: 1.29 $, $Date: 2011/01/23 23:23:30 $
# TODO:
# - Add locale files
# - Add new package for Olive, previously included here now it's own project: http://wiki.bazaar.canonical.com/Olive/
%define		ver	0.99
%define		minor	1
Summary:	Plugin for Bazaar-NG (bzr)
Summary(pl.UTF-8):	Wtyczka do Bazaar-NG (bzr)
Name:		bzr-gtk
Version:	%{ver}.%{minor}
Release:	8
License:	GPL v2+
Group:		Development/Version Control
# Source0:	https://launchpad.net/bzr-gtk/%{ver}/%{version}/+download/bzr-gtk-%{version}.tar.gz
Source0:	http://samba.org/~jelmer/bzr/%{name}-%{version}.tar.gz
# Source0-md5:	68354924f3104ab1ba7efc8bfe15ae0b
URL:		http://bazaar-vcs.org/bzr-gtk
BuildRequires:	bzr >= %{ver}
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.4
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires(post,postun):	desktop-file-utils
%pyrequires_eq	python
Requires:	bzr >= %{ver}
Requires:	python-pygtk-glade >= 2:2.10
Requires:	python-pygtk-gtk >= 2:2.10
Suggests:	python-gnome
Suggests:	python-pycairo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bzr-gtk is a plugin for Bazaar-NG (bzr) that aims to provide GTK+
interfaces to most Bazaar operations. Provided commands are:
- gcommit
- gdiff
- visualise
- gannotate
- gbranch

%description -l pl.UTF-8
bzr-gtk jest wtyczką dla Bazaar-NG (bzr), która ma na celu
dostarczenie graficznego interfejsu GTK+ dla większości poleceń
Bazaar. Dostępnymi poleceniami są:
- gcommit
- gdiff
- visualise
- gannotate
- gbranch

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--install-purelib %{py_sitedir} \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%banner %{name} -e << EOF
For full functionality, you need to install:
- python-pycairo (for graphs in the visualisation tool)
- python-gnome (for Nautilus integration)
EOF

%postun
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/bzr-handle-patch
%attr(755,root,root) %{_bindir}/bzr-notify
%{py_sitedir}/bzrlib/plugins/gtk
%{_datadir}/bzr-gtk
%{_desktopdir}/bazaar-properties.desktop
%{_desktopdir}/bzr-notify.desktop
%{_desktopdir}/bzr-handle-patch.desktop
%{_pixmapsdir}/bzr-icon-64.png
%{_iconsdir}/hicolor/scalable/emblems
%{_datadir}/application-registry/bzr-gtk.applications

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bzr-gtk.spec,v $
Revision 1.29  2011/01/23 23:23:30  sparky
- BR: bzr (for python bindings)

Revision 1.28  2010/12/09 11:32:56  caleb
- Removed dbus patch, included upstream

Revision 1.27  2010/12/09 11:31:39  caleb
- Up to 0.99.1
- Removed Olive components, now a separate project
- TODO: Create package for Olive

Revision 1.26  2010/09/21 19:00:16  glen
- release 8

Revision 1.25  2010/07/09 11:13:42  arekm
- release 7

Revision 1.24  2010/01/26 13:08:04  sparky
- BR: gettext-devel, pkgconfig, python-devel

Revision 1.23  2010/01/26 07:53:12  glen
- release 6

Revision 1.22  2009/05/22 15:32:04  uzsolt
- gnome-mime-data provides /usr/share/application-registry
- rel 5

Revision 1.21  2008/10/03 17:41:03  arekm
- release 4

Revision 1.20  2008/08/17 18:12:23  qboosh
- files cleanup (but fix needed)

Revision 1.19  2008/08/07 22:00:21  matkor
- Release 3. Adapterized.

Revision 1.18  2008/08/06 06:52:20  matkor
- Release 2. Fix for detecting dbus availability.

Revision 1.17  2008/08/05 22:17:07  matkor
- Version 0.95.0-1.

Revision 1.16  2008/06/18 20:42:30  matkor
- Release 2. More dirs added.

Revision 1.15  2008/05/15 12:46:17  matkor
- Version 0.94-1 with one simple fixed applied.

Revision 1.14  2008-01-06 15:12:34  qboosh
- don't own too much dirs

Revision 1.13  2008-01-06 15:04:02  qboosh
- BR: rpm-pythonprov
- pygtk epoch

Revision 1.12  2007-12-16 14:03:21  matkor
- Release 2. R: python-pygtk-gtk >= 2.10

Revision 1.11  2007-12-15 22:41:11  matkor
- Version 0.93-1.

Revision 1.10  2007-11-08 18:25:11  megabajt
- it isn't noarch package (uses %{py_sitedir})

Revision 1.9  2007-09-27 12:06:06  matkor
- Release 2. bzr plugins must be under dirname(bzrlib.__file__)/plugins

Revision 1.8  2007/09/26 10:30:23  matkor
- Version 0.91-1

Revision 1.7  2007/09/02 12:16:52  matkor
- Version 0.90.0-1.

Revision 1.6  2007/07/18 09:48:51  matkor
- Version 0.18.0-1.

Revision 1.5  2007/07/01 10:02:19  arekm
- up to 0.17.0

Revision 1.4  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.2  2006/12/19 19:21:48  qboosh
- cleanup

Revision 1.1  2006/12/16 17:21:45  japhy
- New spec file.
